graphics/p5-Gnome2-Canvas - The NetBSD Packages Collection

Perl bindings for libgnomecanvas and libart

The Gnome2::Canvas module allows a perl developer to use the
GnomeCanvas widget with Gtk2-Perl.

Like the Gtk2 module on which it depends, Gnome2::Canvas follows
the C API of libgnomecanvas-2.0 as closely as possible while still
being perlish.  Thus, the C API reference remains the canonical
documentation.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/pkgconf

Runtime dependencies

devel/p5-ExtUtils-Depends devel/p5-ExtUtils-PkgConfig lang/perl5 lang/perl5 graphics/libgnomecanvas x11/p5-gtk2 graphics/libgnomecanvas x11/p5-gtk2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 8.0earmv7hfp5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 8.0i386p5-Gnome2-Canvas-1.002nb42.tgz
NetBSD 8.0i386p5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 8.0i386p5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 8.0powerpcp5-Gnome2-Canvas-1.002nb42.tgz
NetBSD 8.0powerpcp5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 8.0powerpcp5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 8.0x86_64p5-Gnome2-Canvas-1.002nb42.tgz
NetBSD 8.0x86_64p5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0aarch64p5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0aarch64p5-Gnome2-Canvas-1.002nb42.tgz
NetBSD 9.0aarch64p5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0alphap5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0alphap5-Gnome2-Canvas-1.002nb42.tgz
NetBSD 9.0alphap5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0earmv6hfp5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0earmv6hfp5-Gnome2-Canvas-1.002nb42.tgz
NetBSD 9.0earmv6hfp5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0earmv6hfp5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0earmv7hfp5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0earmv7hfp5-Gnome2-Canvas-1.002nb42.tgz
NetBSD 9.0earmv7hfp5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0earmv7hfp5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0i386p5-Gnome2-Canvas-1.002nb42.tgz
NetBSD 9.0i386p5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0i386p5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0mips64ebp5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0mips64ebp5-Gnome2-Canvas-1.002nb42.tgz
NetBSD 9.0mips64ebp5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0powerpcp5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0powerpcp5-Gnome2-Canvas-1.002nb42.tgz
NetBSD 9.0sparc64p5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0sparc64p5-Gnome2-Canvas-1.002nb40.tgz
NetBSD 9.0sparc64p5-Gnome2-Canvas-1.002nb42.tgz
NetBSD 9.0sparc64p5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0sparcp5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0sparcp5-Gnome2-Canvas-1.002nb42.tgz
NetBSD 9.0sparcp5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0x86_64p5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0x86_64p5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0x86_64p5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0x86_64p5-Gnome2-Canvas-1.002nb42.tgz
NetBSD 9.0x86_64p5-Gnome2-Canvas-1.002nb43.tgz
NetBSD 9.0x86_64p5-Gnome2-Canvas-1.002nb43.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.